| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes

# IG::Forms::TestForm Class Reference

Test form. More...

Inheritance diagram for IG::Forms::TestForm:
[legend]
Collaboration diagram for IG::Forms::TestForm:
[legend]

List of all members.

## Public Member Functions
| TestForm ()
## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used.
## Properties
string | Title`[get]`
int | Id`[get]`
| Unique ID for objects of the currnet and derived classes. Returns the ID of the embedded test control (of type AlignmentControlOld).
## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor.
## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable.
TestControl | testControl1

## Detailed Description

Test form.

This is a dummy control used for various tests such as window positioning.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG::Forms::TestForm::TestForm | ( |  | ) | `[inline]`

## Member Function Documentation

override void IG::Forms::TestForm::Dispose | ( | bool | disposing | ) | `[inline, protected]`

Clean up any resources being used.

Parameters:

  disposing | true if managed resources should be disposed; otherwise, false.

void IG::Forms::TestForm::InitializeComponent | ( |  | ) | `[inline, private]`

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG::Forms::TestForm::components = null`[private]`

Required designer variable.

TestControl IG::Forms::TestForm::testControl1`[private]`

## Property Documentation

string IG::Forms::TestForm::Title`[get]`

int IG::Forms::TestForm::Id`[get]`

Unique ID for objects of the currnet and derived classes. Returns the ID of the embedded test control (of type AlignmentControlOld).

The documentation for this class was generated from the following files:

- TestForm.cs
- TestForm.Designer.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events